# Set the workflow of an asset type for a project template

**PUT /data/project-templates/{project_template_id}/asset-types/{asset_type_id}/task-types**

Replace the task types allowed for an asset type in a project template, instead of the studio workflow. An empty list restores the studio workflow. The asset type and the task types must be in the template, and the task types must be asset task types. You must be an administrator.


## Servers
- /api: /api ()


## Authentication methods
- Jwt authorization


## Parameters

### Path parameters

- **project_template_id** (string(uuid))
  Unique identifier of the project template

- **asset_type_id** (string(uuid))
  Unique identifier of the asset type



### Body: application/json (object)

- **task_type_ids** (array[string(uuid)])
  Task types of the workflow



## Responses
### 200
The asset type and its workflow

#### Body: application/json (object)
- **id** (string(uuid))
  Asset type unique identifier

- **workflow** (array[string(uuid)])
  Task types of the workflow


### 400
The body is not valid, or the asset type or a task type is not valid for the template

### 403
You are not an administrator

### 404
The project template does not exist


[Powered by Bump.sh](https://bump.sh)
